Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 221327 - ghostscript segfaults, can't print
Summary: ghostscript segfaults, can't print
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 7
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2007-01-03 20:43 UTC by Stas Sergeev
Modified: 2008-06-10 16:14 UTC (History)
2 users (show)

Fixed In Version: 8.62-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-18 18:32:20 UTC


Attachments (Terms of Use)
a test-case (deleted)
2007-01-03 20:43 UTC, Stas Sergeev
no flags Details

Description Stas Sergeev 2007-01-03 20:43:30 UTC
Description of problem:
Printing doesn't work. It seems that ghostscript is at fault.

Version-Release number of selected component (if applicable):
ghostscript-8.15.3-1.fc6

How reproducible:
always

Steps to Reproduce:
1. Get output.ps from the attachment
2 [details]. gs -dNOPAUSE -dBATCH output.ps
  
Actual results:
Segmentation fault

Expected results:

Additional info:

Comment 1 Stas Sergeev 2007-01-03 20:43:30 UTC
Created attachment 144734 [details]
a test-case

Comment 2 Tim Waugh 2007-01-09 14:20:51 UTC
Confirmed.

#0  gc_objects_clear_marks (cp=0x7e4278) at src/igc.c:583
583             pre->o_type->clear_marks;
#1  0x0000003000b3130f in gs_gc_reclaim (pspaces=<value optimized out>, 
    global=1) at src/igc.c:263
263             gc_objects_clear_marks(cp);
#2  0x0000003000b7b464 in context_reclaim (pspaces=0x637db0, global=1)
    at src/zcontext.c:286
286         psched->save_vm_reclaim(pspaces, global);
#3  0x0000003000b0fc36 in ireclaim (dmem=0x637da8, space=8)
    at src/ireclaim.c:156
156             GS_RECLAIM(&dmem->spaces, global);
#4  0x0000003000b0bc31 in interp_reclaim (pi_ctx_p=0x3001174230, space=8)
    at src/interp.c:418
418         code = (*idmemory->reclaim)(idmemory, space);
#5  0x0000003000b04094 in gs_main_finit (minst=0x3001173fc0, exit_status=0, 
    code=0) at src/imain.c:819
819                 code = interp_reclaim(&minst->i_ctx_p, avm_global);
#6  0x00000000004009f0 in main (argc=4, argv=<value optimized out>)
    at src/dxmainc.c:92
92              code1 = gsapi_exit(instance);


Comment 3 Adam Goode 2007-03-26 01:22:59 UTC
I can reproduce this exactly in rawhide with ghostscript-8.15.4-1.fc7. This is
on x86_64.

It does have the unfortunate side-effect of breaking all Gnome and KDE printing.

Comment 4 Stas Sergeev 2007-10-29 11:30:57 UTC
Any chances with this one?
A really nasty bug.

Comment 5 Tim Waugh 2007-10-29 11:42:47 UTC
For what it's worth, Fedora 8 (ghostscript-8.60-5.fc8) does not crash.

Comment 6 Jan Hutař 2007-10-29 20:16:17 UTC
Test-case transformed to a Table Cloth test:

https://testing.108.redhat.com/source/browse/testing/trunk/rhts/tests/sandbox/
CoreOS/ghostscript/bug221327/

Comment 9 Bug Zapper 2008-05-14 12:06:15 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Stas Sergeev 2008-05-18 18:32:20 UTC
Confirmed.


Note You need to log in before you can comment on or make changes to this bug.